jQuery(document).ready(function($) {
	/* MENU JS */
	if( jQuery(window).width() > 767) {
		   jQuery('.nav li.dropdown').hover(function() {
			   jQuery(this).addClass('open');
		   }, function() {
			   jQuery(this).removeClass('open');
		   }); 
		   jQuery('.nav li.dropdown-menu').hover(function() {
			   jQuery(this).addClass('open');
		   }, function() {
			   jQuery(this).removeClass('open');
		   }); 
		}
		
		jQuery('.nav li.dropdown').find('.caret').each(function(){
			jQuery(this).on('click', function(){
				if( jQuery(window).width() < 767) {
					jQuery(this).parent().next().slideToggle();
				}
				return false;
			});
		});
		
	/* Onload Animation */
	 new WOW().init();
	
	/* For Scoll Up */
	 var amountScrolled = 300;
		jQuery(window).scroll(function() {
			if ( jQuery(window).scrollTop() > amountScrolled ) {
				jQuery('a.scroll_up').fadeIn('slow');
			} else {
				jQuery('a.scroll_up').fadeOut('slow');
			}
		});
		jQuery('a.scroll_up').click(function() {
			jQuery('html, body').animate({
				scrollTop: 100
			}, 700);
			return false;
		});	
		
	/* for scroll arrow */
	 var amountScrolled = 300;

	$(window).scroll(function() {
		if ( jQuery(window).scrollTop() > amountScrolled ) {
			jQuery('a.scroll_top').fadeIn('slow');
		} else {
			jQuery('a.scroll_top').fadeOut('slow');
		}
	});

	jQuery('a.scroll_top').click(function() {
		jQuery('html, body').animate({
			scrollTop: 100
		}, 700);
		return false;
	});
			
	// Isotope blog
	var jQueryservice_style1 = $('.gallery1');
	jQuery(window).load(function () {
		// Initialize Isotope
		jQueryservice_style1.isotope({
			itemSelector: '.wl-gallery'
		});	
	});

	/* Slider 1 */
	var swiper = new Swiper('.swiper1', {
        pagination: '.swiper-pagination1',
		nextButton: '.swiper-button-next1',
        prevButton: '.swiper-button-prev1',
        slidesPerView: '1',
        paginationClickable: true,
        spaceBetween: 10,
		
    });
	
	/* tesimonail 2*/
	var swiper = new Swiper('.swiper2', {
		pagination: '.swiper-pagination2',
		slidesPerView: '2',
        paginationClickable: true,
        spaceBetween: 20,
		autoplay:3000,
		loop:true	
    });
	
	/* Swiper 3*/
	var swiper = new Swiper('.swiper3', {
		pagination: '.swiper-pagination3',
        slidesPerView: '1',
        paginationClickable: true,
        spaceBetween: 20,
		autoplay:3000,
		loop:true	
    });
	
	var gallery = $('.lightbox_a').simpleLightbox();	

});

